import { Parameterized, SQLClauseOperation } from '@vulcan-sql/core';
export declare const removeEndingSemiColon: (sql: string) => string;
export declare const addLimit: (sql: string, limit?: string | null | undefined) => string;
export declare const addOffset: (sql: string, offset?: string | null | undefined) => string;
export declare const isNoOP: (operations: Partial<Parameterized<SQLClauseOperation>>) => boolean;
export declare const buildSQL: (sql: string, operations: Partial<Parameterized<SQLClauseOperation>>) => string;
